Summary   	: The most widely used Web server on the Internet.
Name	  	: hhl-target-apache
Version	  	: 1.3.19
Release	  	: %{_hhl_build_id}.2
Source		: ftp://ftp.apache.org/apache/dist/apache_%{version}.tar.gz
Source1		: apache-index.html
Source2		: poweredby.jpg
Source3		: apache.init
Source4		: apache.logrotate
Source5		: apache-access.conf
Source6		: apache-httpd.conf
Source7		: apache-srm.conf
Source8		: ftp://ftp.cohprog.com/pub/apache/module/1.3.0/mod_bandwidth.c
Source9		: mod_put.c
Source10	: http://www.snert.com/Software/Throttle/mod_throttle208.tar.bz2
Source11 : apache.tmpl
Source12 : apache-dev.tmpl
Source13 : apache-html_manual.tmpl
Source14	: apache-apachectl

Patch0		: apache_1.3.6-hardhat.patch
Patch1		: apache-1.3.11-apxs.patch
Patch2		: apache_1.3.11-phhttpd.patch
Patch3		: apache_1.3.12-eapi-2.6.0.patch
Patch4		: apache_1.3.12-piranha.patch
Patch5		: apache_1.3.12-cross.patch
Patch7 		: apache-1.3.19-hhl-config_layout.patch
Patch8		: apache-util.patch
License 	: Apache
Group	  	: web
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
%description
This is the source RPM for the Apache binary package in Hard Hat Linux.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-apache
Summary		: The most widely used Web server on the Internet.
Group		: web
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-apache
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

Install the apache package if you need a Web server.

%package -n hhl-%{_hhl_target_arch}-apache-dev
Group: devel
Summary: Development tools for the Apache Web server.
Obsoletes: secureweb-devel
AutoReqProv: no

%description -n hhl-%{_hhl_target_arch}-apache-dev
The apache-devel package contains the APXS binary and other files that
you'll need to build Dynamic Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server, and you want to be 
able to compile or develop additional modules for Apache, you'll
need to install this package.

%package -n hhl-%{_hhl_target_arch}-apache-html_manual
Group: doc 
Summary: Documentation for the Apache Web server.
AutoReqProv: no

%description -n hhl-%{_hhl_target_arch}-apache-html_manual
The apache-manual package contains the complete manual and reference
guide for the Apache Web server.  If you need Apache documentation
installed on the local machine, install this package.  The information
can also be found on the Web at http://www.apache.org/docs/.


%prep

%target_check

%setup -n apache_%{version} -a 10
%patch0 -p1 -b .redhat
%patch1 -p1 -b .apxs
#patch2 -p1 -b .phhttpd
#patch3 -p1 -b .eapi
%patch4 -p1 -b .piranha
%patch5 -p1 -b .cross
%patch7 -p1
%patch8 -p1

%build
%target_setup
CC=%{_hhl_target_toolprefix}gcc \
LOCALCC=gcc \
RANLIB=%{_hhl_target_toolprefix}ranlib \
AR=ar \
LD_SHLIB=%{_hhl_target_toolprefix}gcc \
./configure \
--enable-shared=max \
--disable-rule=WANTHSREGEX \
--disable-module=auth_dbm \
--prefix=/ \
--with-layout=HHL

make

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}
rm -f objdir
ln -s . objdir
export STRIPPROG=true

make install root=%{buildroot}%{_hhl_cross_target_dir} \
prefix=%{_hhl_target_prefix} \
bindir=%{_hhl_target_bin_dir} \
sbindir=%{_hhl_target_sbin_dir} \
libexecdir=%{_hhl_target_lib_dir}/apache/ \
mandir=%{_hhl_target_man_dir} \
sysconfdir=%{_hhl_target_sysconf_dir}/apache \
iconsdir=/home/httpd/html/icons \
htdocsdir=/home/httpd/html/ \
cgidir=/home/httpd/html/cgi-bin \
includedir=%{_hhl_target_include_dir}/apache-1.3 \
localstatedir=%{_hhl_target_localstate_dir} \
runtimedir=%{_hhl_target_localstate_dir}/log/apache \
logfiledir=%{_hhl_target_localstate_dir}/log/apache \
proxycachedir=%{_hhl_target_localstate_dir}/proxy


# install log rotation stuff
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/etc/logrotate.d
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/log/apache
install -m 644 $RPM_SOURCE_DIR/apache.logrotate %{buildroot}/%{_hhl_cross_target_dir}/etc/logrotate.d/apache
touch %{buildroot}/%{_hhl_cross_target_dir}/var/log/httpd

mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/home/httpd/html
cp $RPM_SOURCE_DIR/apache-index.html %{buildroot}/%{_hhl_cross_target_dir}/home/httpd/html/index.html
cp $RPM_SOURCE_DIR/poweredby.jpg %{buildroot}/%{_hhl_cross_target_dir}/home/httpd/html/poweredby.jpg
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/etc/init.d
cp $RPM_SOURCE_DIR/apache.init %{buildroot}/%{_hhl_cross_target_dir}/etc/init.d/apache

install -m 644 %{SOURCE5} %{buildroot}/%{_hhl_cross_target_dir}/etc/apache/access.conf
install -m 644 %{SOURCE6} %{buildroot}/%{_hhl_cross_target_dir}/etc/apache/httpd.conf
install -m 644 %{SOURCE7} %{buildroot}/%{_hhl_cross_target_dir}/etc/apache/srm.conf

rm -f %{buildroot}/%{_hhl_cross_target_dir}/usr/sbin/apachectl
install -m 755 %{SOURCE14} %{buildroot}/%{_hhl_cross_target_dir}/usr/sbin/apachectl

# install apache source code for devel package
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src
gunzip -c $RPM_SOURCE_DIR/apache_%{version}.tar.gz | tar x -C %{buildroot}/%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src
find %{buildroot}/%{_hhl_cross_target_dir} -type f | \
	xargs grep -l "/local/bin/perl5" | \
	xargs perl -pi -e "s|/local/bin/perl5|/bin/perl|g;"
find %{buildroot}/%{_hhl_cross_target_dir} -type f | \
	xargs grep -l "/local/bin/perl" | \
	xargs perl -pi -e "s|/local/bin/perl|/bin/perl|g;"

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE11} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE12} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache-dev
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE13} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache-html_manual

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-apache
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}/etc/apache/access.conf
%config %{_hhl_cross_target_dir}/etc/apache/httpd.conf
%config %{_hhl_cross_target_dir}/etc/apache/magic
%config %{_hhl_cross_target_dir}/etc/apache/mime.types
%config %{_hhl_cross_target_dir}/etc/apache/srm.conf
%config %{_hhl_cross_target_dir}/etc/logrotate.d/apache
%attr(755,root,root) %config %{_hhl_cross_target_dir}/etc/init.d/apache
%{_hhl_cross_target_dir}/home/httpd/html/cgi-bin
%config(noreplace) %{_hhl_cross_target_dir}/home/httpd/html/index.html
%{_hhl_cross_target_dir}/home/httpd/html/poweredby.jpg
%{_hhl_cross_target_dir}/home/httpd/html/icons

%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/apache

%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ab
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/apachectl
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/httpd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/logresolve
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rotatelogs
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*

%attr(-,nobody,nogroup) %dir %{_hhl_cross_target_dir}/var/log/apache

#%attr(-,nobody,nobody) %dir %{_hhl_cross_target_dir}/var/cache/httpd
#%dir %{_hhl_cross_target_dir}/var/log/httpd

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache

%files -n hhl-%{_hhl_target_arch}-apache-html_manual
%defattr(-,root,root)
%{_hhl_cross_target_dir}/home/httpd/html/manual
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache-html_manual

%files -n hhl-%{_hhl_target_arch}-apache-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/apxs
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/*
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/apache-1.3/*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/apache-dev

%changelog
* Wed Apr 18 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 13 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
